{*
* 2007-2015 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2015 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{literal}
	<script>
		$(document).ready(function () {
			$('#ittwebcvetta').on('click', 'a.catalogue', function () {

				var task = $(this).data('task');
				var id_shop = $(this).data('shop');
				var id_lang = $(this).data('lang');

				var post = {
					task: task,
					id_shop: id_shop,
					id_lang: id_lang,
					start:true
				};

				TmbCvetta.request.send(post);
			});
		});

		// Object TmbCvetta
		var TmbCvetta = TmbCvetta || {};
		TmbCvetta.labels = TmbCvetta.labels || {};

		TmbCvetta.request = {
			send: function (post) {

				var id = post.id_shop;
				var id_lang = post.id_lang;
				var message = '';

				TmbCvetta.loading(true, id);

				$.ajax({
					type: 'POST',
					url: '{/literal}{$base_cantroller_url}{literal}',
					async: true,
					cache: false,
					data: post,
					dataType: "json",
					success: function (data) {

						// Aggiorna dati e percetuali caricamento
						TmbCvetta.monitor(post, data);

						if (post.task == 'create') {
							message = 'Catalogue index created';
						}
						else if (post.task == 'feed') {
							message = 'Feed generate';
							if (data.continue == 1) {
								post.start=false;
								TmbCvetta.request.send(post);
								return false;
							}
						} else if (post.task == 'delete_feed') {
							message = 'Feed delete';
						}

						TmbCvetta.loading(false, id, message);

					},
					error: function (data) {

						console.log('Ajax error');
						console.log(data);

						if (post.task == 'feed')
							message = 'Feed is corrupted, please reindex';

						TmbCvetta.loading(false, id, message);
					}

				}); //ajax
			}
		};

		TmbCvetta.loading = function (show_loader, id, message) {

			if (show_loader) {
				// reset values e display loader
				$('#loader-success-' + id).hide();
				$('#loader-charge-' + id).show();
				$('#loader-message-' + id).text('').hide();
			} else {
				// remove loader
				$('#loader-charge-' + id).hide();
				$('#loader-success-' + id).show();

				if (message != null && message.length > 0)
					$('#loader-message-' + id).show().text(message);
			}
		};

		TmbCvetta.monitor = function (post, data) {

			var id = post.id_shop;
			var id_lang = post.id_lang;
			var task = post.task;

			$('.total-items-' + id).text(data.total_items);

			// if ((task == 'feed' || task == 'delete_feed') && data != null) {
			if (data != null) {

				if ((task == 'feed' || task == 'delete_feed')) {
					$('#feed-indexed-' + id + '-' + id_lang).text(data.feed_indexed[id_lang]);
					var feed_percentage = Math.round(parseInt(data.feed_indexed[id_lang]) * 100 / parseInt(data.total_items));
					if (isNaN(feed_percentage))
						return false;
					$('#feed-percentage-' + id + '-' + id_lang).text(feed_percentage + '%').fadeOut(500).fadeIn(500);
				}
				else if (task == 'create'){
					$('.feed-indexed-' + id).text(0);
					$('.feed-percentage-' + id).text('0%').fadeOut(500).fadeIn(500);
				}

			}
		};

	</script>

	<style>
		#ittwebcvetta a:hover {
			cursor: pointer;
		}
	</style>
{/literal}
<fieldset style="margin-bottom: 10px">
<div class="panel" id="ittwebcvetta">
	<h3><i class="icon icon-credit-card"></i> {l s='cVetta Feed' mod='ittwebcvetta'}</h3>

	<!-- <pre>{$feed_data|print_r:true}</pre> -->
	<div>
		{l s='Before to generate a new feed for each language, make sure you have re-indexed catalogue and prices for each shop.' mod='ittwebcvetta'}
	</div>

	<!--CATALOGUE AND FEEDS (for each shop)-->
	{foreach $feed_data as $id_shop => $data}
		<div style="overflow: auto; margin: 20px 0;">

			<div style="margin-bottom:10px; overflow: auto">
				<div class="shop-title" style="float:left;">
					<strong>{l s='Shop' mod='ittwebcvetta'} {$data.name}</strong>
				</div>

				<div class="console" style="display:inline; margin-left:10px; ">
					<span id="loader-charge-{$id_shop}" style="display: none"><img src="{$base_module_url}views/img/ajax-loader.gif" /></span>
					<span id="loader-success-{$id_shop}" style="display: none;">
						<img src="{$base_module_url}views/img/check.png" style="width:18px;height:18px; vertical-align: bottom"/>
					</span>
					<span id="loader-message-{$id_shop}" style="display: none;color:#00aff0"></span>
				</div>
			</div>

			<div style="clear:both" style="	margin-left: 20px">
				<!-- BUILD CATALOGUE -->
				<p>{l s='Reindex catalogue and price for' mod='ittwebcvetta'} {$data.name}</p>
				<ul style="list-style-type: none; line-height: 2em">
					<li>
						<a class="catalogue" data-task="create" data-shop="{$id_shop}" data-lang="{Configuration::get('PS_LANG_DEFAULT')}"><i class="icon-external-link-sign"></i>
							{l s='Build the catalogue index' mod='ittwebcvetta'}</a>
					</li>
				</ul>	

				<!-- BUILD FEED (for each language) -->
				<p>{l s='Generate feed for language' mod='ittwebcvetta'}</p>
				<ul style="list-style-type: none; line-height: 2em">
					{foreach $data.feed as $key => $feed}
						{assign var=id_lang value=$key}
						<li>{Language::getIsoById($key)|strtoupper} <a class="catalogue" data-task="feed" data-shop="{$id_shop}" data-lang="{$id_lang}">{$feed}</a></li>
						(<a class="catalogue" data-task="delete_feed" data-shop="{$id_shop}" data-lang="{$key}">Delete</a>)

						<!-- MONITOR -->
						<span>{l s='Current feed indexed:'}</span> 
						<span id="feed-indexed-{$id_shop}-{$id_lang}" class="feed-indexed-{$id_shop}" style="font-weight:bold">{$data.catalogue.feed_indexed.$id_lang}</span> /
						<span class="total-items-{$id_shop}">{$data.catalogue.total_items}</span>
						<span id="feed-percentage-{$id_shop}-{$id_lang}" class="feed-percentage-{$id_shop}" style="color:#00aff0">{if $data.catalogue.total_items > 0}{($data.catalogue.feed_indexed.$id_lang * 100 / $data.catalogue.total_items)|string_format:"%d"}%{/if}</span>
					{/foreach}
				</ul>	
				
				<p>{l s='Set cron for this shop' mod='ittwebcvetta'}</p>
				<ul style="list-style-type: none; line-height: 2em">
					<li>*/10 * * * * curl -L "{$data.catalogue.url}"</li>
					{foreach $data.feed as $key => $feed}
						<li>{(($feed@index+1)*5)}-59/10 * * * * curl -L "{$feed}"</li>
					{/foreach}
				</ul>
			</div>
				
				
		</div>
	{/foreach}

</div>
</fieldset>
